function display(m)
%DISPLAY Display an object of class lazy
%    
%    DISPLAY(M) Display the object M of class lazy
%    
%    

%MAN_PAGE_BEGIN
%
%   @purpose	Display an object of class lazy
%
%   @synopsis	display(m)
%   @description  Display the object <code>m</code> of class lazy
%
%MAN_PAGE_END

error(checkargs({m},1,'lazy'));

ps = struct(m.mapping);
ps.id_par= m.id_par;
ps.cmb_par= m.cmb_par;
ps.examples_x=m.examples_x;
ps.examples_y=m.examples_y;


disp(' ');
disp([inputname(1),' =']);
disp(' ');
disp('A lazy object with the following attributes');
disp(' ');
disp(ps);
disp(' ');
